Subject: Re: bug#75170: add-to-alist: new function

From: Roland Winkler <[email-masked]>
Date: Sun, 19 Jan 2025 08:34:04 -0600

On Sun, Jan 19 2025, Roland Winkler wrote:
> Actually, I just read the docstring from alist-get a couple of times.
> And the meaning of the optional arg REMOVE is not clear to me: what is
> the "new value" of an association if the key is removed from the alist?

I tried to figure out what the optional arg REMOVE is doing in
alist-get.  While I find the code of add-to-alist not too difficult to
grasp at a glance, the optional arg REMOVE is ignored in alist-get.  But
it is a more complicated call of gv-define-expander in gv.el that seems
to define REMOVE.  For less advanced users, this may be an extra barrier
to put such code into their init file.